from django.utils.translation import ugettext_lazy as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.script.cms.models import ScriptSettings


class ScriptPlugin(CMSPluginBase):
    model = ScriptSettings
    name = _("Script")
    admin_preview = False

    def render(self, context, instance, placeholder):
        self.render_template = instance.template_name
        context.update({
            'instance': instance,
        })
        return context

plugin_pool.register_plugin(ScriptPlugin)